View Issue Details

IDProjectCategoryView StatusLast Update
0017455mantisbtauthenticationpublic2014-12-08 00:33
ReporterneowizdomAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.17 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0017455: BASIC_AUTH does not work for SOAP requests
Description

If you enable BASIC_AUTH as the authentication mechanism, all SOAP requests will not be able to authenticate.

Steps To Reproduce
  1. Enable BASIC_AUTH ( $g_login_method = BASIC_AUTH and set up plugin )
  2. Issue SOAP request
Additional Information

The error appears to be in "authentication_api.php" in the "auth_does_password_match" function. After adding "BASIC_AUTH" to the "t_login_methods" array (line 370), SOAP requests start working with no errors.

Tagspatch

Activities

vboctor

vboctor

2014-10-26 04:26

manager   ~0041670

Thanks @neowizdom for the patch. Here is a modified patch:
https://github.com/mantisbt/mantisbt/pull/530

Related Changesets

MantisBT: master 26cd8c7c

2014-10-26 04:24:34

vboctor

Details Diff
Fix basic auth for soap

This is a modified version of the suggestion by neowizdom on the bug.

Fixes 0017455
mod - core/authentication_api.php Diff File

Issue History

Date Modified Username Field Change
2014-06-18 18:04 neowizdom New Issue
2014-06-18 19:33 123SVPQCLIMA File Added: CARGAPRUEBADESA.xlsx
2014-06-19 01:46 vboctor File Deleted: CARGAPRUEBADESA.xlsx
2014-06-19 01:47 vboctor Tag Attached: patch
2014-10-26 04:26 vboctor Note Added: 0041670
2014-10-26 04:26 vboctor Assigned To => vboctor
2014-10-26 04:26 vboctor Status new => assigned
2014-10-31 01:25 vboctor Changeset attached => MantisBT master 26cd8c7c
2014-10-31 01:25 vboctor Status assigned => resolved
2014-10-31 01:25 vboctor Resolution open => fixed
2014-10-31 01:25 vboctor Fixed in Version => 1.3.0-beta.1
2014-10-31 03:05 atrol Target Version => 1.3.0-beta.1
2014-12-08 00:33 vboctor Status resolved => closed